Redmine - Feature #12912

Issue-notes Redmine links: append actual note reference to rendered links
2013-01-20 04:083 - Mischa The Evil

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Text formatting Estimated time: 0.00 hour
Target version: 2.4.0

Resolution: Fixed

Description

Following and extending #2715: while using the feature here on rm.o several times | feel like it would be maybe better if the
referenced issue note is also actually appended to the rendered Redmine issue note links.

Current situation:

e #2715#note-42 and #2715-42 becomes #2715#note-42 (which links to the note-42 anchor of issue #2715, but this is not visually
observable in the actually rendered link)

Proposed situation:

e #2715#note-42 and #2715-42 becomes "#2715#note-42" and "#2715-42" (which should both /ink to the note-42 anchor of issue
#2715 completely, and which should include the actual note reference (appended, like in the examples above between the
quotation marks?) in the rendered links so it would become visually observable that it is a issue note link instead of an 'ordinary’

issue link)
Any thoughts?
Related issues:
Related to Redmine - Feature #2715: "Magic links" to notes Closed 2009-02-11
Has duplicate Redmine - Feature #15535: "Magic links" to notes: display note ... Closed

Associated revisions

Revision 12005 - 2013-07-11 21:18 - Jean-Philippe Lang

Issue-notes Redmine links: append actual note reference to rendered links (#12912).

Patch by YOSHITANI Mitsuhiro.

History

#1 - 2013-02-22 15:27 - Gary Watson

+1

#2 - 2013-05-01 04:54 - Jethro Yu

| also think this is better implement. +1

#3 - 2013-06-01 08:55 - YOSHITANI Mitsuhiro

- File refine_issue_note_link.diff added

I've created a patch.

#4 - 2013-06-01 09:01 - Toshi MARUYAMA

- Target version set to 2.4.0

#5 - 2013-07-11 21:18 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed
https://www.redmine.org/issues/2715
https://www.redmine.org/issues/2715#note-42
https://www.redmine.org/issues/2715
https://www.redmine.org/issues/2715

Patch committed in r12005, thanks.

#6 - 2013-11-26 00:56 - Mischa The Evil
- Has duplicate Feature #15535: "Magic links" to notes: display note number in link text added

Files

refine_issue_note_link.diff 2.86 KB 2013-06-01 YOSHITANI Mitsuhiro

2025-05-01 22
http://www.tcpdf.org

